MAN-RECODE(1)

NOME
man-recode - converte páginas de manual para outra codificação

SINOPSE
man-recode -t para-código {--suffix=sufixo|--in-place} [-dqhV] [nome-de-arquivo]

DESCRIÇÃO
man-recode converte várias páginas de manual de uma codificação para outra, adivinhando a codificação de entrada apropriada para cada uma. É útil ao recodificar permanentemente páginas escritas em conjuntos de caracteres legados ou em sistemas de compilação que precisam recodificar um conjunto de páginas em uma única codificação comum (geralmente UTF-8) para instalação. Ao converter muitas páginas de manual, esse programa é muito mais rápido do que executar man --recode ou manconv em cada página.

Se uma declaração de codificação for encontrada na primeira linha da página de manual, esta declaração é usada como codificação de entrada para aquela página. Se falhar em fazer isso, a codificação de entrada é adivinhada com base no nome de arquivo.

As declarações de codificação têm a seguinte forma:

    '\" -*- coding: UTF-8 -*-

ou (se pré-processadores de página de manual também estiverem declarados):

    '\" t -*- coding: ISO-8859-1 -*-

OPÇÕES

-t codificação, --to-code=codificação
    Converte páginas de manual para codificação.

--suffix=sufixo
    Forma cada nome de arquivo de saída acrescentando sufixo ao nome de aquivo de entrada, após remover qualquer extensão de compressão.

--in-place
    Sobrescreve cada arquivo de entrada com a saída, após remover qualquer extensão de compressão.

-q, --quiet
    Não emite mensagens quando a página não puder ser convertida.

-d, --debug
    Emite mensagens de depuração.

-h, --help
    Imprime uma mensagem de ajuda e sai.

-V, --version
    Exibe informação da versão.

VEJA TAMBÉM
iconv(1), man(1), manconv(1)

AUTOR
Colin Watson (cjwatson@debian.org).